Name:           ubuntuone-client
Version:        1.3.6
Release:        1%{?dist}
Summary:        Ubuntu One Client

Group:          Applications/Internet
# CCPL (cc-by-sa 1.0) for Icons
License:        GPLv3 and CC-BY-SA
URL:            https://launchpad.net/ubuntuone-client/+index
Source0:        http://launchpad.net/ubuntuone-client/trunk/1.3.6/+download/ubuntuone-client-1.3.6.tar.gz
Patch0:         ubuntuone-client-1.3.6-link.patch
Patch1:         ubuntuone-client-1.3.6-desktop.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Duplicate BuildRequires: glib2-devel (by atk-devel), fontconfig-devel (by cairo-devel), freetype-devel (by cairo-devel), libsoup-devel (by evolution-data-server-devel), dbus-glib-devel (by evolution-data-server-devel), libxml2-devel (by GConf2-devel), cairo-devel (by gtk2-devel), pango-devel (by gtk2-devel), atk-devel (by gtk2-devel)
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf2-devel
BuildRequires:  gir-repository-devel
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  nautilus-devel
BuildRequires:  nautilus-devel
BuildRequires:  pango-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-settings-daemon-devel
Requires:       nautilus-extensions
Requires:       pygobject2
Requires:       pygtk2
Requires:       dbus-python
Requires:       gnome-python2-gnomekeyring
Requires:       python-ubuntu_sso
Requires:       python-oauth
Requires:       pyxdg
Requires:       python-twisted-core
Requires:       python-ubuntuone-storageprotocol
Requires:       python-configglue
Provides:       python-ubuntuone = %{version}-%{release}

%description
Ubuntu One helps you store, sync and share files. Sync your files, share
your work with others or work remotely, all with your Ubuntu computer.


%package devel
Summary:        Development files for Ubuntu One Client
Group:          Applications/Internet
Requires:       gobject-introspection-devel
Requires:       pkgconfig
Requires:       %{name} = %{version}-%{release}

%description devel
Files required to develop software for Ubuntu One Client.


%prep
%setup -q
%patch0 -p1 -b .link
%patch1 -p1 -b .desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ubuntuone-preferences.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ubuntuone-launch.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/u1sdtool
%{_bindir}/u1sync
%{_bindir}/ubuntuone-launch
%{_bindir}/ubuntuone-preferences
%{_datadir}/applications/ubuntuone-preferences.desktop
%{_datadir}/dbus-1/services/com.ubuntuone.SyncDaemon.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/ubuntuone-client
%{_libdir}/gnome-settings-daemon-*/libubuntuone.so
%{_libdir}/gnome-settings-daemon-*/ubuntuone.gnome-settings-plugin
%{_libdir}/libsyncdaemon-*.so.*
%{_libdir}/nautilus/extensions-*/libnautilus-ubuntuone.so
%{_libexecdir}/ubuntuone-syncdaemon
%{_mandir}/man1/u1sdtool.1.gz
%{_mandir}/man1/u1sync.1.gz
%{_mandir}/man1/ubuntuone-preferences.1.gz
%{python_sitelib}/ubuntuone
%config(noreplace) %{_sysconfdir}/xdg/autostart/*
%config(noreplace) %{_sysconfdir}/xdg/ubuntuone
# Useless
%exclude %{_libdir}/gnome-settings-daemon-*/libubuntuone.a
%exclude %{_libdir}/gnome-settings-daemon-*/libubuntuone.la
%exclude %{_libdir}/libsyncdaemon-*.a
%exclude %{_libdir}/libsyncdaemon-*.la
%exclude %{_libdir}/nautilus/extensions-*/libnautilus-ubuntuone.a
%exclude %{_libdir}/nautilus/extensions-*/libnautilus-ubuntuone.la
# Ubuntu specific
%exclude %{_sysconfdir}/apport
%exclude %{_datadir}/apport
%exclude %{_datadir}/indicators/me/ubuntuone.menu
%doc COPYING COPYING.icons HACKING README


%files devel
%defattr(-,root,root,-)
%{_includedir}/libsyncdaemon-*
%{_libdir}/libsyncdaemon-*.so
%{_datadir}/gir-*/SyncDaemon-*.gir
%{_libdir}/girepository-*/*
%{_libdir}/pkgconfig/libsyncdaemon-*.pc


%changelog
* Mon Aug 09 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.3.6-1
- Initial packaging
